import React from "react";
import { ScrollRestoration } from "react-router-dom";
import Gap from "../assets/gap.png";
import Scales from "../assets/Scales.png";
import useDocumentTitle from "../hooks/useDocumentTitle";

const HowToBecomeAChristian = () => {
  useDocumentTitle('NSBC | How to Become a Christian');

  return (
    <div className="">
      <ScrollRestoration />

      <section className="mx-24 flex flex-col gap-6">
        <h1 className="text-3xl my-12 font-bold flex justify-center">
          How do I become a Christian?
        </h1>
        <div className="text-gray-700 my-3 grid grid-cols-2 gap-5">
          <section className="flex flex-col gap-5">
            <p>
              You're not here by accident. God loves you. He wants you to have a
              personal relationship with Him through Jesus, His Son. There is
              just one thing that separates you from God. That one thing is sin.
            </p>
            <p className="text-gray-700 my-3">
              The Bible describes sin in many ways. Most simply, sin is our
              failure to measure up to God's holiness and His righteous
              standards. We sin by things we do, choices we make, attitudes we
              show, and thoughts we entertain. We also sin when we fail to do
              right things. The Bible affirms our own experience - "there is
              none righteous, not even one." No matter how good we try to be,
              none of us does right things all the time.
            </p>
            <p className="text-gray-700 my-3">
              People tend to divide themselves into groups - good people and bad
              people. But God says that every person who has ever lived is a
              sinner, and that any sin separates us from God. No matter how we
              might classify ourselves, this includes you and me. We are all
              sinners.
            </p>
            <p className="text-red-700 my-3">
              "For all have sinned and come short of the glory of God." Romans
              3:23
            </p>
          </section>
          <img src={Gap} alt="" />
        </div>
      </section>
      <section className="mx-24 flex my-7 flex-col gap-6 ">
        <div className="grid grid-cols-2 gap-5">
          <div>
            <img src={Scales} alt="" />
          </div>
          <div className="flex flex-col gap-1">
            <p className="text-gray-700">
              Many people are confused about the way to God. Some think they
              will be punished or rewarded according to how good they are. Some
              think they should make things right in their lives before they try
              to come to God. Others find it hard to understand how Jesus could
              love them when other people don't seem to. But I have great news
              for you! God DOES love you! More than you can ever imagine! And
              there's nothing you can do to make Him stop! Yes, our sins demand
              punishment - the punishment of death and separation from God. But,
              because of His great love, God sent His only Son Jesus to die for
              our sins.
            </p>
            <p className="text-red-700 my-3">
              "God demonstrates His own love for us in this: While we were still
              sinners, Christ died for us." Romans 5:8
            </p>
            <p className="text-gray-700 my-3">
              For you to come to God you have to get rid of your sin problem.
              But, in our own strength, not one of us can do this! You can't
              make yourself right with God by being a better person. Only God
              can rescue us from our sins. He is willing to do this not because
              of anything you can offer Him, but JUST BECAUSE HE LOVES YOU!
            </p>
          </div>
        </div>
        <p className="text-red-700 my-3">
          "He saved us, not because of righteous things we had done, but because
          of His mercy." Titus 3:5
        </p>
        <p className="text-gray-700 my-3">
          It's God's grace that allows you to come to Him - not your efforts to
          "clean up your life" or work your way to Heaven. You can't earn it.
          It's a free gift.
        </p>
        <p className="text-red-700 my-3">
          "For it is by grace you have been saved, through faith - and this not
          from yourselves, it is the gift of God - not by works, so that no one
          can boast." Ephesians 2:8-9
        </p>
      </section>
    </div>
  );
};

export default HowToBecomeAChristian;
