import React from "react";
import useDocumentTitle from "../hooks/useDocumentTitle";

const Services = () => {
  useDocumentTitle('NSBC | Service Schedule');

  return (
    <div>
      <h1 className="pt-4 flex justify-center text-4xl">
        2023 Worship Schedule
      </h1>
      <h2 className="pt-6 pb-1 flex justify-center text-2xl">Sunday Morning</h2>
      <div className="py-4 flex justify-center">
        <ul className="list-disc list-inside font-bold">
          <li>Sunday School at 9:45 a.m.</li>
          <li>Sunday Morning Worship at 11:00 a.m.</li>
        </ul>
      </div>
      <div className="py-4 max-w-lg mx-auto ">
        <p className="py-4">We have Sunday school classes for all age groups.</p>
        <p className="py-4">
        Members and guests are invited and encouraged to attend in-person;
        however, we also live-stream our Sunday morning service via our Facebook
        page. 
        </p>
        <h2 className="pt-4 pb-1 flex justify-center text-2xl">Sunday Evening</h2>
        <p className="pt-2">
        We currently meet on the first Sunday evening of
        each month at 5:30 p.m. in our Family Life Center. Programs may consist
        of special speakers or exciting videos on current events. Make plans to
        join us! Any changes to our Sunday evening program will be posted on our
        website and our Facebook page. 
        </p>
        <h2 className="py-4 flex justify-center text-2xl">Wednesday Evening</h2>
        <div className="flex justify-center">

        <ul className="list-disc list-inside font-bold">
          <li>Wednesday Evening Worship at 6:30 p.m.</li>
        </ul>
        </div>
        <p className="py-4">

        Our Wednesday evening program is well-attended and offers something for all
        ages!
        Youth and children have special programs and activities in the
        Family Life Center, while our adults meet in the Sanctuary for a time of
        worship, praise, testimonies, Bible study, and of course, prayer. 
        We invite everyone, including our guests, to attend this special mid-week time with the family of God at North Shreve!
        </p>
      </div>
    </div>
  );
};

export default Services;
